use warnings;
use strict;
package Test::Module 0.003; # TRIAL

# ABSTRACT: This is an example module

use Exporter 'import';
our (@EXPORT_OK) = ();
our (@EXPORT)    = (@EXPORT_OK);



sub new {
    my $pkg = shift;
    bless {}, $pkg;
}

1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Test::Module - This is an example module

=head1 VERSION

version 0.003

=head1 SYNOPSIS

    use Test::Module;

    my $obj = new Test::Module;
    print "Hello World\n" if $obj->isa('Test::Module');

=head1 METHODS

=head2 new

Takes no arguments and returns a blessed reference.

=head1 AUTHOR

Balaji Ramasubramanian <balaji.ramasubramanian@gmail.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2018 by Balaji Ramasubramanian.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
